import 'package:get/get.dart';
import 'package:sigap/src/features/map/data/repositories/cities_repository.dart';
import 'package:sigap/src/features/map/data/repositories/demographics_repository.dart';
import 'package:sigap/src/features/map/data/repositories/districts_repository.dart';
import 'package:sigap/src/features/map/data/repositories/geogrpaphics_repository.dart';
import 'package:sigap/src/features/map/data/repositories/location_logs_repository.dart';
import 'package:sigap/src/features/map/data/repositories/locations_repository.dart';

class MapRepositoryBindings extends Bindings {
  @override
  void dependencies() {
    // Register all feature map controllers
    Get.lazyPut<CitiesRepository>(() => CitiesRepository(), fenix: true);
    Get.lazyPut<DistrictsRepository>(() => DistrictsRepository(), fenix: true);
    Get.lazyPut<GeographicsRepository>(
      () => GeographicsRepository(),
      fenix: true,
    );
    Get.lazyPut<DemographicsRepository>(
      () => DemographicsRepository(),
      fenix: true,
    );
    Get.lazyPut<LocationsRepository>(() => LocationsRepository(), fenix: true);
    Get.lazyPut<LocationLogsRepository>(
      () => LocationLogsRepository(),
      fenix: true,
    );
  }
}
